Modify category
curl --request PUT \
--url https://live.copilot.fabric.inc/api-category/v1/category/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Furniture",
"active": true,
"parentNodeId": 1,
"order": 3
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}"
payload = {
"name": "Furniture",
"active": True,
"parentNodeId": 1,
"order": 3
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Furniture', active: true, parentNodeId: 1, order: 3})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Furniture',
'active' => true,
'parentNodeId' => 1,
'order' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}"
payload := strings.NewReader("{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}"
response = http.request(request)
puts response.read_body{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"name": "Furniture",
"createdOn": "2021-12-01T00:00:00.000Z",
"modifiedOn": "2021-12-01T00:00:00.000Z",
"attributes": [
{}
],
"children": [
{}
],
"breadcrumbs": [
{}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Category
Modify category
Updates category details such as name, parent, and its order of appearance amongst sibling categories.
PUT
/
api-category
/
v1
/
category
/
{nodeId}
Modify category
curl --request PUT \
--url https://live.copilot.fabric.inc/api-category/v1/category/{nodeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Furniture",
"active": true,
"parentNodeId": 1,
"order": 3
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}"
payload = {
"name": "Furniture",
"active": True,
"parentNodeId": 1,
"order": 3
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Furniture', active: true, parentNodeId: 1, order: 3})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Furniture',
'active' => true,
'parentNodeId' => 1,
'order' => 3
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}"
payload := strings.NewReader("{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-category/v1/category/{nodeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Furniture\",\n \"active\": true,\n \"parentNodeId\": 1,\n \"order\": 3\n}"
response = http.request(request)
puts response.read_body{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"name": "Furniture",
"createdOn": "2021-12-01T00:00:00.000Z",
"modifiedOn": "2021-12-01T00:00:00.000Z",
"attributes": [
{}
],
"children": [
{}
],
"breadcrumbs": [
{}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Authorizations
authorizationapi_key
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
OK
Was this page helpful?
